Package org.eclipse.birt.core.archive

# Interface IArchiveLockManager

public interface IArchiveLockManager
lock used by the report engine to synchronize the document archives. the call sequence of such a locker should be:

     Object lock = manager.lock("fileName");
     synchronized(lock)
     {
             ... process ...
     }
     manager.unlock(lock).

## Method Summary

Modifier and Type
Method
Description
`Object`
`lock(String name)`
lock the object named by "name"
`void`
`unlock(Object lock)`
unlock the object locked by "lock".

## Method Details

### lock

Object lock(String name) throws IOException
lock the object named by "name"

Parameters:
  `name` - object name, the file name for file object.
Returns:
  a locker used to lock the object.
Throws:
  `IOException`

### unlock

void unlock(Object lock)
unlock the object locked by "lock".

Parameters:
  `lock` - the lock object return from lock().